Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.controller.portlet
Class ControllerUserContext

    java.lang.Object
      org.jboss.portal.core.controller.portlet.ControllerUserContext

All Implemented Interfaces:
  UserContext

    public class ControllerUserContext

extends java.lang.Object
implements UserContext

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Constructor Summary
`ControllerUserContext(ControllerContext controllerContext)`

Method Summary
`java.lang.String` | `getId()` Retrieves the user id or null if it is not known.
`java.util.Map` | `getInformations()` The user profile information keyed by P3PConstants
`java.util.Locale` | `getLocale()` Return the user locale.
`java.util.List` | `getLocales()` Retrieves the locales that the user is willing to receive information in.
`User` | `getUser()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ControllerUserContext

    public ControllerUserContext(ControllerContext controllerContext)

Method Detail

### getId

    public java.lang.String getId()

  Description copied from interface: `UserContext`
  Retrieves the user id or null if it is not known.

  Specified by:
    `getId` in interface `UserContext`
  Returns:
    the user id

### getInformations

    public java.util.Map getInformations()

  Description copied from interface: `UserContext`
  The user profile information keyed by P3PConstants

  Specified by:
    `getInformations` in interface `UserContext`
  Returns:
    a map containing user profile informaton
  See Also:
    `P3PConstants`

### getUser

    public User getUser()

### getLocale

    public java.util.Locale getLocale()

  Description copied from interface: `UserContext`
  Return the user locale.

  Specified by:
    `getLocale` in interface `UserContext`
  Returns:
    the user locale.

### getLocales

    public java.util.List getLocales()

  Description copied from interface: `UserContext`
  Retrieves the locales that the user is willing to receive information in.

  Specified by:
    `getLocales` in interface `UserContext`
  Returns:
    the locales ordered according to user preference (preferred first).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD